<?php

use App\Http\Controllers\AbdmApiController;
use Illuminate\Support\Facades\Route;

/******************************* Main Route *****************************/
Route::resource('abdm-apis', AbdmApiController::class);

/******************************* Change Status *****************************/
Route::post('abdm-apis/changeStatus', [AbdmApiController::class, 'changeStatus'])
    ->name('abdm-apis-changestatus');

Route::post('abdm-apis/changeStatusApi', [AbdmApiController::class, 'changeStatusApi'])
    ->name('abdm-apis-changestatus-api');

/******************************* CRUD Operations *****************************/
Route::get('abdm-apis-create', [AbdmApiController::class, 'createAbdmApi'])
    ->name('abdm-apis-create');

Route::post('abdm-apis-store', [AbdmApiController::class, 'storeAbdmApi'])
    ->name('abdm-apis-store');

Route::put('abdm-apis-update/{id}', [AbdmApiController::class, 'updateAbdmApi'])
    ->name('abdm-apis-update');
